#pragma once

#include <Arduino.h>
#include "config.h"
#include "player.h"
#include <MFRC522.h>

class Controller {
private:
	MFRC522* _rfid;
	bool _rfid_enabled = true;
	void _check_rfid();
	void _check_serial();
	Player* _player;
public:
	Controller(Player* p);
	void loop();
};
